var tagserver = angular.module('tagserver', ['ngRoute', 'poconsole']);

tagserver.config([
    '$routeProvider', function($routeProvider) {
        $routeProvider.when('/dashboard', {
            templateUrl: '/templates/dashboard.html',
            controller: 'dashboardCtrl'
        }).when('/tags', {
            templateUrl: '/templates/tags.html',
            controller: 'tagsCtrl'
        }).when('/tag/:tagID', {
            templateUrl: '/templates/tagVals.html',
            controller: 'tagValsCtrl'
        }).when('/config', {
            templateUrl: '/templates/config.html',
            controller: 'configCtrl'
        }).when('/docs', {
            templateUrl: '/templates/docs.html',
            controller: 'docsCtrl'
        }).when('/', {
            templateUrl: '/templates/dashboard.html',
            controller: 'dashboardCtrl'
        });
    }
]);
